Tomba
string · requiredstring · enum · required
string · requiredstring · requiredstring · requiredstring · required
string · requiredstring · requiredstring · enum · required
Lead Attributes
Define and retrieve custom lead attributes
Create a Lead Attribute
POST
https://api.tomba.io/v1
/attributes
X-Tomba-Key (header)
+X-Tomba-Secret (header)
Create a new lead attribute. If the attribute name already exists, fails with 422 status code.
Create a Lead Attribute › Request Body
nameName of the custom attribute.
typeType of the attribute.
Enum values:
string
date
number
Create a Lead Attribute › Responses
Attribute created successfully.
object
Retrieve a Single Lead Attribute
GET
https://api.tomba.io/v1
/attributes/{attributeId}
X-Tomba-Key (header)
+X-Tomba-Secret (header)
Retrieve details for a specific lead attribute.
path Parameters
attributeIdThe ID of the lead attribute.
Retrieve a Single Lead Attribute › Responses
A lead attribute object.
idUnique identifier for the attribute
nameName of the custom attribute
valueValue of the custom attribute
Update a Lead Attribute
PUT
https://api.tomba.io/v1
/attributes/{attributeId}
X-Tomba-Key (header)
+X-Tomba-Secret (header)
Update the fields of a lead attribute using its ID.
path Parameters
attributeIdThe ID of the lead attribute.
Update a Lead Attribute › Request Body
nameName of the custom attribute.
typeType of the attribute.
Enum values:
string
date
number
Update a Lead Attribute › Responses
Attribute updated successfully.
object
Success response details
Delete a Lead Attribute
DELETE
https://api.tomba.io/v1
/attributes/{attributeId}
X-Tomba-Key (header)
+X-Tomba-Secret (header)